The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Security Alert! The PHP CGI cannot be accessed directly.

Discussion in 'Security' started by DWHS.net, Nov 30, 2005.

  1. DWHS.net

    DWHS.net Well-Known Member
    PartnerNOC

    Joined:
    Jul 28, 2002
    Messages:
    1,569
    Likes Received:
    6
    Trophy Points:
    38
    Location:
    LA, Costa RIca
    cPanel Access Level:
    Root Administrator
    All php pages are getting this error on one server.

    I restarted apache and am updating cpanel, any other ideas on what to fix?

    Just trouble shooting now...

    Thanks, :)

    Here is the full error:

    Security Alert! The PHP CGI cannot be accessed directly.
    This PHP CGI binary was compiled with force-cgi-redirect enabled. This means that a page will only be served up if the REDIRECT_STATUS CGI variable is set, e.g. via an Apache Action directive.

    For more information as to why this behaviour exists, see the manual page for CGI security.

    For more information about changing this behaviour or re-enabling this webserver, consult the installation file that came with this distribution, or visit the manual page.
     
    #1 DWHS.net, Nov 30, 2005
    Last edited: Nov 30, 2005
  2. NNNils

    NNNils Well-Known Member

    Joined:
    Sep 17, 2002
    Messages:
    580
    Likes Received:
    0
    Trophy Points:
    16
    We had this issue back in august, it was fixed by recompiling apache.

    Today we had it again.
     
Loading...

Share This Page